Skip to main content
POST
/
periods
/
ensure-range
Bulk-create monthly + FY accounting periods for a range of fiscal years
curl --request POST \
  --url https://api.arcuserp.com/v1/periods/ensure-range \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_fiscal_year": 2049,
  "to_fiscal_year": 2049
}
'
import requests

url = "https://api.arcuserp.com/v1/periods/ensure-range"

payload = {
"from_fiscal_year": 2049,
"to_fiscal_year": 2049
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({from_fiscal_year: 2049, to_fiscal_year: 2049})
};

fetch('https://api.arcuserp.com/v1/periods/ensure-range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "ensure_accounting_period_range_result",
  "from_fiscal_year": 123,
  "to_fiscal_year": 123,
  "total_inserted": 123,
  "errors": 123,
  "per_year": [
    {
      "fiscal_year": 123,
      "periods_inserted": 123,
      "error": "<string>",
      "code": "<string>"
    }
  ]
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}

Authorizations

Authorization
string
header
required

API key issued per entity via Settings > Developers > API Keys. Each key carries scopes (e.g. orders:read, products:write). Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.

Body

application/json
from_fiscal_year
integer
required

First fiscal year to ensure (inclusive).

Required range: 2000 <= x <= 2099
to_fiscal_year
integer
required

Last fiscal year to ensure (inclusive). Must be >= from_fiscal_year.

Required range: 2000 <= x <= 2099

Response

Per-year creation result

object
enum<string>
Available options:
ensure_accounting_period_range_result
from_fiscal_year
integer
to_fiscal_year
integer
total_inserted
integer
errors
integer
per_year
object[]